## reprotest 0.6

=== doc/Makefile ===
#!/usr/bin/make -f

VERSION = $$(cd .. && python3 setup.py -V)

SED_rm_python_usage_msg = -e '/end_of_description_header/,/positional arguments/{d}'
SED_fix_rst2man_quirks = -e 's,^ \\- ,,' -e 's,^\[,\\[char91],g'

reprotest.1: reprotest.h2m ../reprotest/__init__.py
	help2man --version-string=$(VERSION) ./reprotest -N --include="$<" | \
	  sed $(SED_rm_python_usage_msg) > "$@"

reprotest.h2m: reprotest.h2m.0 ../README.rst Makefile
	{ cat reprotest.h2m.0; cat ../README.rst | \
	  rst2man --no-doc-title | \
	  sed $(SED_fix_rst2man_quirks) \
	      -e 's,\.SH \(.*\),[\1],g'; } > "$@"

## reprotest 0.2

=== debian/changelog ===
reprotest (0.2) unstable; urgency=medium

  * Add support for schroot and qemu.

 -- Ceridwen <ceridwenv@gmail.com>  Sat, 11 Jun 2016 18:05:05 -0400

reprotest (0.1) unstable; urgency=medium

  * Initial release.

 -- Ceridwen <ceridwenv@gmail.com>  Sat, 11 Jun 2016 18:05:05 -0400

=== debian/control ===
Source: reprotest
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders: Ceridwen <ceridwenv@gmail.com>
Section: devel
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
 dh-python,
 python3-all, 
 python3-setuptools,
Vcs-Git: https://anonscm.debian.org/git/reproducible/reprotest.git
Vcs-Browser: https://anonscm.debian.org/git/reproducible/reprotest.git
X-Python3-Version: >= 3.5

Package: reprotest
Architecture: all
Depends: ${python3:Depends},
 python3-debian,
 apt-utils,
 libdpkg-perl,
 procps,
 diffoscope,
 ${misc:Depends}
Recommends: autodep8, schroot, qemu-system, qemu-utils, disorderfs, locales-all
Description: Build software and check it for reproducibility.
 reprotest builds the same source code in different environments and
 then checks the binaries produced by the builds to see if changing
 the environment, without changing the source code, changed the
 produced binaries.
 .
 reprotest is developed as part of the “reproducible builds” Debian
 project.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = reprotest

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: tests.py
Tests-Directory: tests

## reprotest 0.6

=== debian/changelog ===
reprotest (0.6) unstable; urgency=medium

  * When a reproduction succeeds, only output hashes of the artifacts rather
    than everything in the current directory.
  * Remove unimplemented variations from README.
  * Rename some variations:
      path -> exec_path, to distinguish it from build_path
      faketime -> time, since users care about interface not implementation
  * Fix a bug involving --store-dir and hash output.
  * Add a --config-file option and fix the loading of configs.
  * Add a man page. (Closes: #833282)
  * Improve logging so it's properly controlled by --verbosity.

 -- Ximin Luo <infinity0@debian.org>  Tue, 24 Jan 2017 22:19:34 +0100

reprotest (0.5) unstable; urgency=medium

  * Stop advertising variations that we're not actually varying.
    That is: domain_host, shell, user_group.
  * Fix auto-presets in the case of a file in the current directory.
  * Allow disabling build-path variations. (Closes: #833284)
  * Add a faketime variation, with NO_FAKE_STAT=1 to avoid messing with
    various buildsystems. This is on by default; if it causes your builds
    to mess up please do file a bug report.
  * Add a --store-dir option to save artifacts.

 -- Ximin Luo <infinity0@debian.org>  Fri, 06 Jan 2017 20:18:45 +0100

reprotest (0.4) unstable; urgency=medium

  * Document virtual servers and caveats better.
  * Add a --help [virtual server] option.
  * Add a --no-diffoscope option. (Closes: #844512)
  * Add a --testbed-init option to allow the user to install dependencies that
    are needed to make the variations in the first place.
  * Add an "auto" feature to the CLI, plus a presets module so it's easier to
    use, and other non-Debian systems can start populating this too.
  * Remove autopkgtest manpages and other unused files. (Closes: #834300)

 -- Ximin Luo <infinity0@debian.org>  Mon, 28 Nov 2016 21:34:04 +0100

reprotest (0.3.2) unstable; urgency=medium

  * Add a --diffoscope-arg option to pass extra args to diffoscope.

 -- Ximin Luo <infinity0@debian.org>  Mon, 26 Sep 2016 18:49:41 +0200

reprotest (0.3.1) unstable; urgency=medium

  * Make some variations more reliable, so tests don't fail.

 -- Ximin Luo <infinity0@debian.org>  Fri, 23 Sep 2016 22:03:30 +0200

reprotest (0.3) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Add README.md to the binary package. (Closes: #834299)

  [ Ximin Luo ]
  * Support pattern matching in the build artifact, which can match more than
    one build artifact; see README.md for details on using this.
  * Add a --no-clean-on-error flag so you can analyse anything that failed or
    did not reproduce.
  * Don't fail when the build process has stderr. (Closes: #836517)
  * Fix tests, and run them during the build. disorderfs is disabled for now,
    but only when running the tests via debian/rules.

 -- Ximin Luo <infinity0@debian.org>  Fri, 23 Sep 2016 20:39:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,24 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+# It's hard to make sure disorderfs works on buildds, so drop it.
+# The build user needs fuse access and this is not easily arranged.
+export REPROTEST_TEST_DONTVARY = fileordering
+
+override_dh_auto_configure:
+	test $$(python3 setup.py --version) = $$(dpkg-parsechangelog -SVersion)
+	dh_auto_configure
+
+override_dh_auto_build:
+	dh_auto_build
+	cd doc && $(MAKE)
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	VIRTUALENV_DOWNLOAD=no \
+	http_proxy=http://127.0.9.1:9 \
+	https_proxy=https://127.0.9.1:9 \
+	TOX_TESTENV_PASSENV=PYTHONIOENCODING PYTHONIOENCODING=utf-8 \
+	tox -r --sitepackages -- -s
+endif

## reprotest 0.6.2

=== doc/Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 SED_rm_python_usage_msg = -e '/end_of_description_header/,/positional arguments/{d}'
 SED_fix_rst2man_quirks = -e 's,^ \\- ,,' -e 's,^\[,\\[char91],g'
+
+all: reprotest.1
 
 reprotest.1: reprotest.h2m ../reprotest/__init__.py
 	help2man --version-string=$(VERSION) ./reprotest -N --include="$<" | \
@@ -14,3 +16,7 @@
 	  rst2man --no-doc-title | \
 	  sed $(SED_fix_rst2man_quirks) \
 	      -e 's,\.SH \(.*\),[\1],g'; } > "$@"
+
+.PHONY: clean
+clean:
+	$(RM) reprotest.1 reprotest.h2m

=== debian/changelog ===
reprotest (0.6.2) unstable; urgency=medium

  * Add a documentation section on "Known bugs".
  * Move developer documentation away from the man page.
  * Mention release instructions in the previous changelog.

 -- Ximin Luo <infinity0@debian.org>  Tue, 09 May 2017 21:56:22 +0200

reprotest (0.6.1) unstable; urgency=medium

  [ Ximin Luo ]
  * Preserve directory structure when copying artifacts. Otherwise hash output
    on a successful reproduction sometimes fails, because find(1) can't find
    the artifacts using the original artifact_pattern.

  [ Chris Lamb ]
  * Add proper release instructions and a keyring.

 -- Ximin Luo <infinity0@debian.org>  Tue, 09 May 2017 19:56:29 +0200

=== debian/control ===
Source: reprotest
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders: Ceridwen <ceridwenv@gmail.com>, Ximin Luo <infinity0@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9.20141010),
 dpkg-dev (>= 1.17.14),
 dh-python,
 python3-all,
 python3-setuptools,
 help2man <!nodoc>,
 python3-docutils <!nodoc>,
# tests.py uses debuild from devscripts, which itself uses lintian
 devscripts <!nocheck>,
 diffoscope <!nocheck>,
 faketime <!nocheck>,
 lintian <!nocheck>,
 locales-all <!nocheck>,
 python3-coverage <!nocheck>,
 python3-pytest <!nocheck>,
 tox <!nocheck>,
# these below helps diffoscope produce nicer output in tests
 python3-tlsh <!nocheck>,
 unzip <!nocheck>,
 xxd <!nocheck>
Vcs-Git: https://anonscm.debian.org/git/reproducible/reprotest.git
Vcs-Browser: https://anonscm.debian.org/git/reproducible/reprotest.git
X-Python3-Version: >= 3.5

Package: reprotest
Architecture: all
Depends: ${python3:Depends},
 python3-debian,
 apt-utils,
 libdpkg-perl,
 procps,
 python3-pkg-resources,
 ${misc:Depends}
Recommends: diffutils | diffoscope, disorderfs, locales-all, faketime
Suggests: autodep8, schroot, qemu-system, qemu-utils
Description: Build software and check it for reproducibility.
 reprotest builds the same source code twice in different environments, and
 then checks the binaries produced by each build for differences. If any are
 found, then diffoscope (or if unavailable then diff) is used to display them
 in detail for later analysis.
 .
 It supports different types of environment such as a "null" environment (i.e.
 doing the builds directly in /tmp) or various other virtual servers, for
 example schroot, ssh, qemu, and several others.
 .
 reprotest is developed as part of the “reproducible builds” Debian project.

=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,7 @@
 	TOX_TESTENV_PASSENV=PYTHONIOENCODING PYTHONIOENCODING=utf-8 \
 	tox -r --sitepackages -- -s
 endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	cd doc && $(MAKE) clean

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://reproducible.alioth.debian.org/releases/reprotest/reprotest[-_](.+)\.tar\..*

## reprotest 0.7.7

=== doc/Makefile ===
#!/usr/bin/make -f
# This file is also present in diffoscope, please update that as well if you
# make fixes here.

PACKAGE = reprotest
VERSION = $$(cd .. && python3 setup.py -V)
SED_fix_package_quirks =

SED_rm_python_usage_msg = -e '/end_of_description_header/,/positional arguments/{d}'
SED_fix_rst2man_quirks = \
  -e 's,^ \\- ,,' \
  -e 's,^\[,\\[char91],g' \
  -e 's,\.TH *"" "" "",,g'
SED_rst2man_output_to_h2m_input = \
  -e 's,\.SH \(.*\),[\1],g' \
  -e 's,\[$(PACKAGE)\],[DESCRIPTION],gi'

all: $(PACKAGE).1

$(PACKAGE).1: $(PACKAGE).h2m ../$(PACKAGE)/__init__.py
	help2man --version-string=$(VERSION) ./$(PACKAGE) -N --include="$<" | \
	  sed $(SED_rm_python_usage_msg) > "$@"

$(PACKAGE).h2m: $(PACKAGE).h2m.0 ../README.rst Makefile
	{ cat $(PACKAGE).h2m.0; cat ../README.rst | \
	  rst2man -q --no-doc-title | \
	  sed $(SED_fix_rst2man_quirks) \
	      $(SED_fix_package_quirks) \
	      $(SED_rst2man_output_to_h2m_input); } > "$@"

.PHONY: clean
clean:
	$(RM) $(PACKAGE).1 $(PACKAGE).h2m

=== debian/changelog ===
reprotest (0.7.7) unstable; urgency=medium

  * Update debian/copyright and use HTTPS in debian/watch.

 -- Ximin Luo <infinity0@debian.org>  Fri, 15 Dec 2017 18:28:41 +0100

reprotest (0.7.6) unstable; urgency=medium

  * Ensure num_cpus variation uses a different number of cpus in different
    builds, and print a warning if only 1 cpu is available. (Closes: #884386)
  * Don't test the num_cpus variation if only 1 cpu is available.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Fri, 15 Dec 2017 16:39:08 +0100

reprotest (0.7.5) unstable; urgency=medium

  [ Santiago Torres ]
  * Use `uname -m` instead of `arch`.

  [ Ximin Luo ]
  * Allow the user to select a different path for diffoscope.
  * Allow --diffoscope-args to contain variables to be expanded.
  * Fix autopkgtest.

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Dec 2017 17:44:39 +0100

reprotest (0.7.4) unstable; urgency=medium

  * Hopefully fix the autopkgtest tests.
  * Add aslr, domain_host, and num_cpu variations.
  * Add a --print-sudoers feature.
  * Properly drop privs when running the build. (Closes: #877813)
  * Fix the time variation to actually make the time constant. This drops the
    time.auto_faketimes variation-spec option.
  * Make --no-clean-on-error a bit more reliable.

 -- Ximin Luo <infinity0@debian.org>  Mon, 27 Nov 2017 14:19:11 +0100

reprotest (0.7.3) unstable; urgency=medium

  * Fix --no-clean-on-error, it should work again.
  * Add a --env-build option to try to determine which (known and unknown)
    environment variables cause reproducibility.

 -- Ximin Luo <infinity0@debian.org>  Fri, 13 Oct 2017 16:48:04 +0200

reprotest (0.7.2) unstable; urgency=medium

  * Various bug fixes to get the basic dsc+schroot example working.
  * Improve the dsc+schroot preset to run builds as non-root.

 -- Ximin Luo <infinity0@debian.org>  Tue, 03 Oct 2017 19:25:11 +0200

reprotest (0.7.1) unstable; urgency=medium

  * New features:
    + Add a --auto-build option to try to determine which specific variations
      cause unreproducibility.
    + Add a --source-pattern option to restrict copying of source_root, and set
      this automatically in our presets.
  * Usability improvements:
    + Improve error messages in some common scenarios.
      - giving a source_root or build_command that doesn't exist
      - using reprotest with default settings after not installing Recommends
    + Output hashes after a successful --auto-build.
    + Print a warning message if we reproduced successfully but didn't vary
      everything.
  * Fix varying both umask and user_group at the same time.
  * Have dpkg-source extract to different build dir iff varying the build-path.
  * Pass --exclude-directory-metadata to diffoscope(1) by default as this is
    the majority use-case. Document the other cases in README and the man page.

 -- Ximin Luo <infinity0@debian.org>  Tue, 03 Oct 2017 15:56:25 +0200

reprotest (0.7) unstable; urgency=medium

  [ Ximin Luo ]
  * Document when one should use --diffoscope-args=--exclude-directory-metadata
    and do this in our Debian package presets.
  * Bump diffoscope Recommends version to >= 84 to support this flag.
  * Import autopkgtest 4.4, with minimal patches.
  * Choose an existent HOME for the control build. (Closes: #860428)
  * Add the ability to vary the user (Closes: #872412)
  * Heavy refactoring to support > 2 builds.
  * Add a variation config language to be able to configure the specifics of
    different variations, and to make it easier to configure further builds.
  * Deprecate the --dont-vary flag, add a --vary flag for better composability.
  * Support >2 builds using the new --extra-build flag.
  * Properly sanitize artifact_pattern to avoid arbitrary shell execution.
  * Update to Standards-Version 4.1.0.

  [ Mattia Rizzolo ]
  * Use https for the Format URI in debian/copyright.
  * Bump debhelper compat level to 10.

  [ Santiago Torres ]
  * Abstract parts of autopkgtest to support running on non-Debian systems.
  * Add a --host-distro flag to support that too.

 -- Ximin Luo <infinity0@debian.org>  Tue, 19 Sep 2017 14:18:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Uploaders: Ceridwen <ceridwenv@gmail.com>, Ximin Luo <infinity0@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9.20141010),
+Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 10),
  dpkg-dev (>= 1.17.14),
  dh-python,
  python3-all,
  python3-setuptools,
  help2man <!nodoc>,
  python3-docutils <!nodoc>,
-# tests.py uses debuild from devscripts, which itself uses lintian
- devscripts <!nocheck>,
+# tests.py uses dpkg-buildpackage which uses lintian
  diffoscope <!nocheck>,
  faketime <!nocheck>,
  lintian <!nocheck>,
  locales-all <!nocheck>,
  python3-coverage <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-rstr <!nocheck>,
  tox <!nocheck>,
 # these below helps diffoscope produce nicer output in tests
  python3-tlsh <!nocheck>,
@@ -36,8 +36,13 @@
  libdpkg-perl,
  procps,
  python3-pkg-resources,
+ python3-rstr,
  ${misc:Depends}
-Recommends: diffutils | diffoscope, disorderfs, locales-all, faketime
+Recommends: diffutils | diffoscope (>= 84),
+ disorderfs (>= 0.5.2),
+ faketime,
+ locales-all,
+ sudo,
 Suggests: autodep8, schroot, qemu-system, qemu-utils
 Description: Build software and check it for reproducibility.
  reprotest builds the same source code twice in different environments, and

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,16 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+, := ,
 # It's hard to make sure disorderfs works on buildds, so drop it.
 # The build user needs fuse access and this is not easily arranged.
-export REPROTEST_TEST_DONTVARY = fileordering
+#
+# To be user-friendly the user_group variation defaults to ON but is a no-op.
+# This causes tests to fail since they expect something to be captured. So ignore it here
+#
+# Also disable the num_cpus variation if $(nproc) = 1 as there is no variation
+# in that case.
+export REPROTEST_TEST_DONTVARY = fileordering,user_group,domain_host$(if $(shell nproc | grep --color=no -Fx 1),$(,)num_cpus,)
 
 override_dh_auto_configure:
 	test $$(python3 setup.py --version) = $$(dpkg-parsechangelog -SVersion)
@@ -20,12 +27,22 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
 	VIRTUALENV_DOWNLOAD=no \
 	http_proxy=http://127.0.9.1:9 \
 	https_proxy=https://127.0.9.1:9 \
 	TOX_TESTENV_PASSENV=PYTHONIOENCODING PYTHONIOENCODING=utf-8 \
 	tox -r --sitepackages -- -s
 endif
+endif
+
+# This is mean to be run by autopkgtest, and runs against the *installed*
+# version of reprotest. To run it against the development version, give
+# PYTHONPATH=$PWD. (Or just use override_dh_auto_test, above.)
+autopkgtest-pytest:
+# print the value, for debugging
+	REPROTEST_TEST_DONTVARY="$(REPROTEST_TEST_DONTVARY)"
+	pytest-3 $(if $(PYTEST_MARKEXPR),-m "$(PYTEST_MARKEXPR)",) $(PYTEST_ARGS)
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Test-Command: debian/rules autopkgtest-pytest PYTEST_MARKEXPR="not need_builddeps"
Depends: @, python3-pytest, faketime, locales-all, fakeroot

Test-Command: debian/rules autopkgtest-pytest PYTEST_MARKEXPR="need_builddeps"
Depends: @, @builddeps@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://reproducible.alioth.debian.org/releases/reprotest/reprotest[-_](.+)\.tar\..*

## reprotest 0.7.8

=== debian/changelog ===
reprotest (0.7.8) unstable; urgency=medium

  * Team upload.

  [ Holger Levsen ]
  * d/control: Declare that reprotest doesn't need root to build.

  [ Chris Lamb ]
  * Drop executable bit on doc/Makefile.
  * Add a bin/reprotest to match diffoscope.
  * Use our bin/reprotest wrapper in manpage generation to ensure we are
    using the local version of reprotest.
  * Update Vcs-{Git,Browser} as repository has been migrated to Salsa.
  * Update "Source" location in debian/copyright to point to new URI.
  * Update upstream "url" kwarg in setup.py.

  [ Mattia Rizzolo ]
  * Update README with updated instructions on how to release the tarball.
  * Update release documentation to also remember to push to PyPI.
  * d/control:
    + Bump Standards-Version to 4.1.5, no changes needed.
    + Drop Build-Depends on old version of dpkg-dev that is garanteed to exist.
    + Recommend diffoscope by itself instead as an alternative to diffutils.
    + Do not Recommend diffutils, that is an Essential:yes package.
    + Drop trailing full stop from the package synopsis.
  * Bump debhelper compat level to 11.
  * d/tests/control: Add missing dependency on fakeroot on the second test.
  * d/rules: Use dpkg's pkg-info.mk instead of dpkg-parsechangelog.
  * Fix spelling errors in documentation strings.
  * d/watch: Update to look at our new release archive.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 09 Jul 2018 15:33:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Uploaders: Ceridwen <ceridwenv@gmail.com>, Ximin Luo <infinity0@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 10),
- dpkg-dev (>= 1.17.14),
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper (>= 11),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -24,8 +25,8 @@
  python3-tlsh <!nocheck>,
  unzip <!nocheck>,
  xxd <!nocheck>
-Vcs-Git: https://anonscm.debian.org/git/reproducible/reprotest.git
-Vcs-Browser: https://anonscm.debian.org/git/reproducible/reprotest.git
+Vcs-Git: https://salsa.debian.org/reproducible-builds/reprotest.git
+Vcs-Browser: https://salsa.debian.org/reproducible-builds/reprotest
 X-Python3-Version: >= 3.5
 
 Package: reprotest
@@ -38,13 +39,14 @@
  python3-pkg-resources,
  python3-rstr,
  ${misc:Depends}
-Recommends: diffutils | diffoscope (>= 84),
+Recommends:
+ diffoscope (>= 84),
  disorderfs (>= 0.5.2),
  faketime,
  locales-all,
  sudo,
 Suggests: autodep8, schroot, qemu-system, qemu-utils
-Description: Build software and check it for reproducibility.
+Description: Build software and check it for reproducibility
  reprotest builds the same source code twice in different environments, and
  then checks the binaries produced by each build for differences. If any are
  found, then diffoscope (or if unavailable then diff) is used to display them

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #! /usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 #export DH_VERBOSE = 1
 export PYBUILD_NAME = reprotest
@@ -18,12 +20,12 @@
 export REPROTEST_TEST_DONTVARY = fileordering,user_group,domain_host$(if $(shell nproc | grep --color=no -Fx 1),$(,)num_cpus,)
 
 override_dh_auto_configure:
-	test $$(python3 setup.py --version) = $$(dpkg-parsechangelog -SVersion)
+	test $$(python3 setup.py --version) = $(DEB_VERSION)
 	dh_auto_configure
 
 override_dh_auto_build:
 	dh_auto_build
-	cd doc && $(MAKE)
+	$(MAKE) -C doc
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -46,4 +48,4 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	cd doc && $(MAKE) clean
+	$(MAKE) -C doc clean

## reprotest 0.7.9

=== debian/changelog ===
reprotest (0.7.9) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * reprotest/build.py:
    - do not use faketime at all when asked to not vary time. Closes: #930592.

  [ Ryan Scott ]
  * reprotest/__init__.py: fix --extra-build.

  [ Thomas Coldrick ]
  * reprotest/lib/adt_testbed.py: add FedoraInterface.

  [ AJ Jordan ]
  * reprotest/__init__.py: reference --no-clean-on-error in --store-dir text.

  [ Arnout Engelen ]
  * README.rst: add command-line example for make-based program.

  [ Chris Lamb ]
  * Add a .gitlab-ci.yml.
  * Publish built packages via aptly.

  [ Holger Levsen ]
  * setup.py: bump version number for the next release.
  * d/control:
    - bump standards version to 4.4.0, no changes needed.
    - drop debian/compat and build-depend on debhelper-compat instead.
    - bump build-depends on debhelper-compat=12, no changes
    - drop versioned recommends, the versions are fullfilled in oldstable.
    - stop declaring "X-Python3-Version: >= 3.5", this is the minimal version
      in oldstable anyway.
    - drop Ximin Luo from uploaders, thanks for all your work, Ximin!
    - add myself to uploaders.

 -- Holger Levsen <holger@debian.org>  Sun, 15 Sep 2019 18:08:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: reprotest
 Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
-Uploaders: Ceridwen <ceridwenv@gmail.com>, Ximin Luo <infinity0@debian.org>
+Uploaders: Ceridwen <ceridwenv@gmail.com>,
+ Holger Levsen <holger@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (=12),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -27,7 +28,6 @@
  xxd <!nocheck>
 Vcs-Git: https://salsa.debian.org/reproducible-builds/reprotest.git
 Vcs-Browser: https://salsa.debian.org/reproducible-builds/reprotest
-X-Python3-Version: >= 3.5
 
 Package: reprotest
 Architecture: all
@@ -40,8 +40,8 @@
  python3-rstr,
  ${misc:Depends}
 Recommends:
- diffoscope (>= 84),
- disorderfs (>= 0.5.2),
+ diffoscope,
+ disorderfs,
  faketime,
  locales-all,
  sudo,

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 endif
 endif
 
-# This is mean to be run by autopkgtest, and runs against the *installed*
+# This is meant to be run by autopkgtest, and runs against the *installed*
 # version of reprotest. To run it against the development version, give
 # PYTHONPATH=$PWD. (Or just use override_dh_auto_test, above.)
 autopkgtest-pytest:

## reprotest 0.7.14

=== debian/changelog ===
reprotest (0.7.14) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add support for GNU Guix.

  [ Holger Levsen ]
  * setup.py: bump version number for release.

 -- Holger Levsen <holger@debian.org>  Mon, 10 Feb 2020 11:22:03 +0100

reprotest (0.7.13) unstable; urgency=medium

  [ Holger Levsen ]
  * setup.py:
    - update classifier to express we are using python3.7 now.
    - bump version number for this release.
  * Bump standards version to 4.5.0, no changes needed.

  [ Iñaki Malerba ]
  * Version test: split on + character.

 -- Holger Levsen <holger@debian.org>  Thu, 06 Feb 2020 01:57:30 +0100

reprotest (0.7.12) unstable; urgency=medium

  * README.rst: use "real" reStructuredText comments instead of using the "raw"
    directive.
  * setup.py:
    - update classifier to express we are using python3.7 now.
    - bump version number for this release.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jan 2020 16:35:04 +0100

reprotest (0.7.11) unstable; urgency=medium

  [ Ross Vandegrift ]
  * Allow user to override timeouts from the environment.

  [ Holger Levsen ]
  * Drop 'short' timeout and use 'install' timeout instead. Closes: #897442.
  * setup.py: bump version number for this release.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jan 2020 14:48:01 +0100

reprotest (0.7.10) unstable; urgency=medium

  [ Iñaki Malerba ]
  * Add --control-build parameter.
  * Update Salsa CI.

  [ Holger Levsen ]
  * setup.py: bump version number for the next release.
  * Bump standards version to 4.4.1, no changes needed.
  * Fix typo in previous changelog entry, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Sat, 26 Oct 2019 13:26:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
  Holger Levsen <holger@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (=12),

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export REPROTEST_TEST_DONTVARY = fileordering,user_group,domain_host$(if $(shell nproc | grep --color=no -Fx 1),$(,)num_cpus,)
 
 override_dh_auto_configure:
-	test $$(python3 setup.py --version) = $(DEB_VERSION)
+	test $$(python3 setup.py --version) = $$(echo $(DEB_VERSION) | cut -f1 -d'+')
 	dh_auto_configure
 
 override_dh_auto_build:

=== debian/tests/control ===
--- 
+++ 
@@ -2,4 +2,4 @@
 Depends: @, python3-pytest, faketime, locales-all, fakeroot
 
 Test-Command: debian/rules autopkgtest-pytest PYTEST_MARKEXPR="need_builddeps"
-Depends: @, @builddeps@
+Depends: @, @builddeps@, fakeroot

## reprotest 0.7.15

=== debian/changelog ===
reprotest (0.7.15) unstable; urgency=medium

  [ Holger Levsen ]
  * setup.py: bump version number for release.
  * Bump debhelper-compat to 13.

  [ Vagrant Cascadian ]
  * Update default arguments passed to diffoscope to support diffoscope
    version 153+. (Closes: #966256). Big thanks to Gregor Herrmann!
  * debian/control: Add myself to Uploaders.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 26 Jul 2020 13:58:22 -0700

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: reprotest
 Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
 Uploaders: Ceridwen <ceridwenv@gmail.com>,
- Holger Levsen <holger@debian.org>
+ Holger Levsen <holger@debian.org>,
+ Vagrant Cascadian <vagrant@reproducible-builds.org>
 Section: devel
 Priority: optional
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (=13),
  dh-python,
  python3-all,
  python3-setuptools,
  help2man <!nodoc>,
  python3-docutils <!nodoc>,
 # tests.py uses dpkg-buildpackage which uses lintian
- diffoscope <!nocheck>,
+ diffoscope (>= 112~) <!nocheck>,
  faketime <!nocheck>,
  lintian <!nocheck>,
  locales-all <!nocheck>,
@@ -40,7 +41,7 @@
  python3-rstr,
  ${misc:Depends}
 Recommends:
- diffoscope,
+ diffoscope (>= 112~),
  disorderfs,
  faketime,
  locales-all,

## reprotest 0.7.16

=== debian/changelog ===
reprotest (0.7.16) unstable; urgency=medium

  [ Holger Levsen ]
  * Update standards version to 4.5.1, no changes needed.
  * setup.py: bump version number for release.
  * tox.ini:
    - disable skip_missing_interpreters to catch failures early.
    - use python 3.9.

  [ Frédéric Pierret (fepitre) ]
  * Help on available values for verbosity.
  * logger: replace deprecated warn method.
  * Fix few deprecation warnings.
  * Update .gitignore.
  * presets:
    - slightly reorganize functions.
    - disable %clean stage when building RPM.
    - better formatting for RPM extra_build_command.
    - clean rpmbuild folder.
  * Update README for RPM support.
  * Add RPM spec file.
  * Add support for building source RPM.
  * tox.ini: passenv TERM.
  * test_reprotest.py: add note on expected error for -d.

  [ Marek Marczykowski-Górecki ]
  * Do not run tests on py38.
  * ci: don't run reprotest nested in reprotest.

 -- Holger Levsen <holger@debian.org>  Wed, 20 Jan 2021 16:44:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  Vagrant Cascadian <vagrant@reproducible-builds.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (=13),

## reprotest 0.7.19

=== debian/changelog ===
reprotest (0.7.19) unstable; urgency=medium

  [ Stefano Rivera ]
  * Add diffoscope depends to autopkgtest. Closes: #999689
  * Allow random suffixes in the debian version compared to the upstream
    version. Closes: #999691

  [ Mattia Rizzolo ]
  * d/rules: make use of dh13 features to simplify some build targets.
  * Declaratively use dh_python3 through d/control.

  [ Holger Levsen ]
  * Release as 0.7.19.

 -- Holger Levsen <holger@debian.org>  Mon, 15 Nov 2021 15:14:30 +0100

reprotest (0.7.18) unstable; urgency=medium

  [ Vasyl Gello ]
  * Log selected variations on verbosity >= 1.
  * Implement realistic CPU architecture shuffling.

  [ Holger Levsen ]
  * setup.py: clarify that python3.9 is used.
  * Release as 0.7.18.

 -- Holger Levsen <holger@debian.org>  Wed, 13 Oct 2021 10:45:48 +0200

reprotest (0.7.17) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Remove spec file as a specific branch will be created with it.
  * rpm: keep rpmbuild layout with RPMS folder.
  * test_reprotest: add spaces and regorganize functions.
  * test_reprotest: filter per distribution and register custom marks.
  * test_shell: Fix warnings about invalid escape sequences.

  [ Vagrant Cascadian ]
  * Make diffoscope optional. (Closes: #988964)

  [ Mattia Rizzolo ]
  * Set the diffoscope "optional dependency" the Python way.
  * Update doc to mention how `ldconfig` conflicts with the kernel variation.
    (Closes: #992694)

  [ Holger Levsen ]
  * Bump standards version to 4.6.0.
  * Release as 0.7.17.

 -- Holger Levsen <holger@debian.org>  Wed, 29 Sep 2021 22:22:09 +0200

=== debian/control ===
Source: reprotest
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders:
 Ceridwen <ceridwenv@gmail.com>,
 Holger Levsen <holger@debian.org>,
 Vagrant Cascadian <vagrant@reproducible-builds.org>,
Section: devel
Priority: optional
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 diffoscope (>= 112~) <!nocheck>,
 faketime <!nocheck>,
 help2man <!nodoc>,
# tests.py uses dpkg-buildpackage which uses lintian
 lintian <!nocheck>,
 locales-all <!nocheck>,
 python3-all,
 python3-coverage <!nocheck>,
 python3-docutils <!nodoc>,
 python3-pytest <!nocheck>,
 python3-rstr <!nocheck>,
 python3-setuptools,
 tox <!nocheck>,
# these below helps diffoscope produce nicer output in tests
 python3-tlsh <!nocheck>,
 unzip <!nocheck>,
 xxd <!nocheck>,
Vcs-Git: https://salsa.debian.org/reproducible-builds/reprotest.git
Vcs-Browser: https://salsa.debian.org/reproducible-builds/reprotest

Package: reprotest
Architecture: all
Depends:
 apt-utils,
 libdpkg-perl,
 procps,
 python3-debian,
 python3-distro,
 python3-pkg-resources,
 python3-rstr,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 disorderfs,
 faketime,
 locales-all,
 sudo,
 ${python3:Recommends},
Suggests:
 autodep8,
 qemu-system,
 qemu-utils,
 schroot,
Description: Build software and check it for reproducibility
 reprotest builds the same source code twice in different environments, and
 then checks the binaries produced by each build for differences. If any are
 found, then diffoscope (or if unavailable then diff) is used to display them
 in detail for later analysis.
 .
 It supports different types of environment such as a "null" environment (i.e.
 doing the builds directly in /tmp) or various other virtual servers, for
 example schroot, ssh, qemu, and several others.
 .
 reprotest is developed as part of the “reproducible builds” Debian project.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME = reprotest
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 , := ,
 # It's hard to make sure disorderfs works on buildds, so drop it.
@@ -19,24 +19,18 @@
 # in that case.
 export REPROTEST_TEST_DONTVARY = fileordering,user_group,domain_host$(if $(shell nproc | grep --color=no -Fx 1),$(,)num_cpus,)
 
-override_dh_auto_configure:
-	test $$(python3 setup.py --version) = $$(echo $(DEB_VERSION) | cut -f1 -d'+')
-	dh_auto_configure
+execute_before_dh_auto_configure:
+	test $$(python3 setup.py --version) = $$(echo $(DEB_VERSION) | sed 's/[^0-9.].*//')
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	$(MAKE) -C doc
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
 	VIRTUALENV_DOWNLOAD=no \
 	http_proxy=http://127.0.9.1:9 \
 	https_proxy=https://127.0.9.1:9 \
 	TOX_TESTENV_PASSENV=PYTHONIOENCODING PYTHONIOENCODING=utf-8 \
 	tox -r --sitepackages -- -s
-endif
-endif
 
 # This is meant to be run by autopkgtest, and runs against the *installed*
 # version of reprotest. To run it against the development version, give
@@ -46,6 +40,8 @@
 	REPROTEST_TEST_DONTVARY="$(REPROTEST_TEST_DONTVARY)"
 	pytest-3 $(if $(PYTEST_MARKEXPR),-m "$(PYTEST_MARKEXPR)",) $(PYTEST_ARGS)
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(MAKE) -C doc clean
+
+override_dh_python3:
+	dh_python3 -p reprotest --recommends-section=compare

=== debian/tests/control ===
Test-Command: debian/rules autopkgtest-pytest PYTEST_MARKEXPR="not need_builddeps"
Depends:
 diffoscope,
 fakeroot,
 faketime,
 locales-all,
 python3-pytest,
 @,

Test-Command: debian/rules autopkgtest-pytest PYTEST_MARKEXPR="need_builddeps"
Depends:
 fakeroot,
 @,
 @builddeps@,

## reprotest 0.7.20ubuntu1

=== debian/changelog ===
reprotest (0.7.20ubuntu1) kinetic; urgency=medium

  * Dynamically tox environment in debian/rules instead of doing so statically
    in tox.ini (LP: #1981624).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 13 Jul 2022 14:36:26 -0400

reprotest (0.7.20) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * Add --append-build-command option. Closes: #1006923

  [ Holger Levsen ]
  * Release as 0.7.20.

 -- Holger Levsen <holger@debian.org>  Fri, 18 Mar 2022 14:40:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: reprotest
-Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
 Uploaders:
  Ceridwen <ceridwenv@gmail.com>,
  Holger Levsen <holger@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	http_proxy=http://127.0.9.1:9 \
 	https_proxy=https://127.0.9.1:9 \
 	TOX_TESTENV_PASSENV=PYTHONIOENCODING PYTHONIOENCODING=utf-8 \
-	tox -r --sitepackages -- -s
+	tox -e py$(shell py3versions -vd | sed 's/\.//') -r --sitepackages -- -s
 
 # This is meant to be run by autopkgtest, and runs against the *installed*
 # version of reprotest. To run it against the development version, give

## reprotest 0.7.23

=== debian/changelog ===
reprotest (0.7.23) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Do not randomize chosen locale and always vary with the same UTF-8
    supported locale., et_EE.UTF-8. (Closes: #925879, #1004950)
  * Support passing --vary=locales.locale=LOCALE to specify locale to vary.
  * Document the above in README.

  [ Holger Levsen ]
  * README:
    - improve examples how to build a Debian package.
    - mention interesting locales in README.
  * Drop d/NEWS as it only contained one entry from 2017.

  [ lintian-brush ]
  * Bump standards version to 4.6.2, no changes needed.
  * Fill in Homepage field.

 -- Holger Levsen <holger@debian.org>  Mon, 20 Feb 2023 12:55:54 +0100

reprotest (0.7.22) unstable; urgency=medium

  [ Philip Hands ]
  * presets.py: include all files matching *.*deb in default artifact_pattern.
  * build.py: check setarch can run before including an arch, thus fixing
    salsa ci pipeline.
  * d/rules: emit an error message on version mismatch

  [ Holger Levsen ]
  * Release as 0.7.22.

 -- Holger Levsen <holger@debian.org>  Mon, 05 Sep 2022 14:40:41 +0200

reprotest (0.7.21) unstable; urgency=medium

  [ Nick Rosbrook ]
  * Dynamically tox environment in debian/rules instead of doing so
    statically in tox.ini.  LP: #1981624

  [ Mattia Rizzolo ]
  * Run the tests through pybuild to run them against all supported
    python3 versions.  Closes: #1016301
  * setup.cfg: fix a deprecation warning.

  [ Holger Levsen ]
  * build-depends: make diffoscope dependency unversioned as it's met even in
    Buster.
  * Bump standards version to 4.6.1.
  * Release as 0.7.21.

 -- Holger Levsen <holger@debian.org>  Fri, 29 Jul 2022 21:26:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: reprotest
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
+Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
 Uploaders:
  Ceridwen <ceridwenv@gmail.com>,
  Holger Levsen <holger@debian.org>,
  Vagrant Cascadian <vagrant@reproducible-builds.org>,
 Section: devel
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- diffoscope (>= 112~) <!nocheck>,
+ diffoscope <!nocheck>,
  faketime <!nocheck>,
  help2man <!nodoc>,
 # tests.py uses dpkg-buildpackage which uses lintian
@@ -31,6 +30,7 @@
  xxd <!nocheck>,
 Vcs-Git: https://salsa.debian.org/reproducible-builds/reprotest.git
 Vcs-Browser: https://salsa.debian.org/reproducible-builds/reprotest
+Homepage: https://salsa.debian.org/reproducible-builds/reprotest
 
 Package: reprotest
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export REPROTEST_TEST_DONTVARY = fileordering,user_group,domain_host$(if $(shell nproc | grep --color=no -Fx 1),$(,)num_cpus,)
 
 execute_before_dh_auto_configure:
-	test $$(python3 setup.py --version) = $$(echo $(DEB_VERSION) | sed 's/[^0-9.].*//')
+	rv=$$(python3 setup.py --version); dv=$$(echo $(DEB_VERSION) | sed 's/[^0-9.].*//'); test "$$rv" = "$$dv" || { printf "ERROR: version mismatch: setup.py (version=%s) does not match Debian version (%s)\n" "$$rv" "$$dv"; false; }
 
 execute_after_dh_auto_build:
 	$(MAKE) -C doc
@@ -30,7 +30,7 @@
 	http_proxy=http://127.0.9.1:9 \
 	https_proxy=https://127.0.9.1:9 \
 	TOX_TESTENV_PASSENV=PYTHONIOENCODING PYTHONIOENCODING=utf-8 \
-	tox -e py$(shell py3versions -vd | sed 's/\.//') -r --sitepackages -- -s
+	dh_auto_test -- --test-tox
 
 # This is meant to be run by autopkgtest, and runs against the *installed*
 # version of reprotest. To run it against the development version, give

## reprotest 0.7.26

=== doc/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 all: $(PACKAGE).1
 
 $(PACKAGE).1: $(PACKAGE).h2m ../$(PACKAGE)/__init__.py
-	help2man --version-string=$(VERSION) ./$(PACKAGE) -N --include="$<" | \
+	help2man --version-string=$(VERSION) ../bin/$(PACKAGE) -N --include="$<" | \
 	  sed $(SED_rm_python_usage_msg) > "$@"
 
 $(PACKAGE).h2m: $(PACKAGE).h2m.0 ../README.rst Makefile

=== debian/changelog ===
reprotest (0.7.26) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * tox.ini: Update to use "pytest" which is needed for tox 4. Thanks to
    Stefano Rivera. Closes: #1042918.

 -- Holger Levsen <holger@debian.org>  Thu, 03 Aug 2023 16:24:39 +0200

reprotest (0.7.25) unstable; urgency=medium

  * Add python3-wheel to build-depends. Thanks to Stefano Rivera.
    Closes: #1035645.

 -- Holger Levsen <holger@debian.org>  Sat, 13 May 2023 15:40:17 +0200

reprotest (0.7.24) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Fix build with both tox 4 and tox 3 using multi-line entry for tox.ini.
    Thanks to Stefano Rivera. Closes: #1035645.

  [ Holger Levsen ]
  * Be more verbose in d/changelog entry of previous release.
  * Release as 0.7.24.

 -- Holger Levsen <holger@debian.org>  Fri, 12 May 2023 14:49:28 +0200

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  python3-pytest <!nocheck>,
  python3-rstr <!nocheck>,
  python3-setuptools,
+ python3-wheel <!nocheck>,
  tox <!nocheck>,
 # these below helps diffoscope produce nicer output in tests
  python3-tlsh <!nocheck>,

## reprotest 0.7.27

=== debian/changelog ===
reprotest (0.7.27) unstable; urgency=medium

  * Enable specifying the build path with --vary=build_path.path=/X/Y/Z
  * Consistently use 398 days for time variation rather than choosing
    randomly.
  * Enable specific number of cpus using --vary=num_cpus.cpus=X.
  * Update signing key with currently active team members.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 11 Apr 2024 15:45:44 -0700

## reprotest 0.7.28

=== debian/changelog ===
reprotest (0.7.28) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Update escape sequences for compatibility with python3.12.
    Closes: #1068853.
  * Amend 0.7.27 changelog: List team members included in signing key.
  * debian/control: Update Standards-Version to 4.7.0.

  [ Jelle van der Waa ]
  * reprotest: pipes module will be removed in Python 3.13.
    Closes: salsa issue #12.

  [ Holger Levsen ]
  * setup.py: increment version to 0.7.28.
  * Fix some spelling errors detected by spellintian.

 -- Holger Levsen <holger@debian.org>  Mon, 02 Sep 2024 13:43:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Vagrant Cascadian <vagrant@reproducible-builds.org>,
 Section: devel
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## reprotest 0.7.29

=== debian/changelog ===
reprotest (0.7.29) unstable; urgency=medium

  [ Rebecca N. Palmer ]
  * tests: use a non-constant-address object to test address capture
    (Closes: #1082289)
  * Stop using pkg_resources. (Closes: #1083743)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 22 Dec 2024 15:00:47 -0800

## reprotest 0.7.30

=== debian/changelog ===
reprotest (0.7.30) unstable; urgency=medium

  [ Rebecca N. Palmer ]
  * Don't call sudo with -h. Closes: #1108550

 -- Holger Levsen <holger@debian.org>  Tue, 29 Jul 2025 14:21:34 +0200

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,6 @@
  procps,
  python3-debian,
  python3-distro,
- python3-pkg-resources,
  python3-rstr,
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://reproducible-builds.org/_lfs/releases/reprotest/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## reprotest 0.7.31

=== debian/changelog ===
reprotest (0.7.31) unstable; urgency=medium

  * Do not vary arch personality if kernel is not varied. Thanks to
    Raúl Cumplido and
    https://salsa.debian.org/reproducible-builds/reprotest/-/issues/15
  * Drop Rules-Requires-Root: no (now the default).
  * Bump standards version to 4.7.2, no changes needed.
  * Drop debian/watch file as lintian flags this as error now for native
    packages. Thus also drop lintian override for this.

  -- Holger Levsen <holger@debian.org>  Sat, 01 Nov 2025 15:55:13 +0100

## reprotest 0.7.32

=== debian/changelog ===
reprotest (0.7.32) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * debian/changelog: Fix FTBFS by removing extra whitespace from the 0.7.31
    changelog entry.

 -- Holger Levsen <holger@debian.org>  Sun, 02 Nov 2025 10:29:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  Vagrant Cascadian <vagrant@reproducible-builds.org>,
 Section: devel
 Priority: optional
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
